LT {cycleRtools} | R Documentation

## Lactate Thresholds

### Description

Model lactate threshold markers from work rate (power) and blood lactate values. Requires package "pspline".

### Usage

    LT(WR, La, sig_rise = 1.5, plots = TRUE)

### Arguments

`WR` | a numeric vector of work rate values. Typically these would be the work rates associated with stages in an incremental exercise test.
`La` | a numeric vector of blood lactate values (mmol/L) associated with the stages described in `WR`.
`sig_rise` | numeric; a rise in blood [Lactate] that is deemed significant. Default is 1.5 mmol/L.
`plots` | should outputs be plotted?

### Details

This function is a slightly modified version of that written by Newell et al. (2007) and published in the Journal of Sport Sciences (see references). The original source code, which also includes other functions for lactate analysis, can be found here.

### Value

a data frame of model outputs, and optionally a matrix of plots.

### References

John Newell , David Higgins , Niall Madden , James Cruickshank , Jochen Einbeck , Kenny McMillan & Roddy McDonald (2007) Software for calculating blood lactate endurance markers, Journal of Sports Sciences, 25:12, 1403-1409, DOI.

### See Also

Newell et al.'s Shiny app.

### Examples

    # This data is included with Newell et al's source code.
    WR <- c(50, 75, 100, 125, 150, 175, 200, 225, 250)
    La <- c(2.8, 2.4, 2.4, 2.9, 3.1, 4.0, 5.8, 9.3, 12.2)
    LT(WR, La, 1.5, TRUE)

[Package cycleRtools version 1.1.1 Index]